Package com.google.protobuf

# Interface DescriptorProtos.DescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.DescriptorProto`, `DescriptorProtos.DescriptorProto.Builder`

Enclosing class:
  DescriptorProtos

public static interface DescriptorProtos.DescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.EnumDescriptorProto`
`getEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`int`
`getEnumTypeCount()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto>`
`getEnumTypeList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProtoOrBuilder`
`getEnumTypeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>`
`getEnumTypeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.FieldDescriptorProto`
`getExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`int`
`getExtensionCount()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getExtensionList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getExtensionOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getExtensionOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.ExtensionRange`
`getExtensionRange(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`int`
`getExtensionRangeCount()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`List<DescriptorProtos.DescriptorProto.ExtensionRange>`
`getExtensionRangeList()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`
`getExtensionRangeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder>`
`getExtensionRangeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.FieldDescriptorProto`
`getField(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`int`
`getFieldCount()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getFieldList()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getFieldOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getFieldOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.DescriptorProto`
`getNestedType(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`int`
`getNestedTypeCount()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`List<DescriptorProtos.DescriptorProto>`
`getNestedTypeList()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProtoOrBuilder`
`getNestedTypeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`List<? extends DescriptorProtos.DescriptorProtoOrBuilder>`
`getNestedTypeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.OneofDescriptorProto`
`getOneofDecl(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`int`
`getOneofDeclCount()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`List<DescriptorProtos.OneofDescriptorProto>`
`getOneofDeclList()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.OneofDescriptorProtoOrBuilder`
`getOneofDeclOrBuilder(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder>`
`getOneofDeclOrBuilderList()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.MessageOptions`
`getOptions()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.MessageOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`String`
`getReservedName(int index)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`ByteString`
`getReservedNameBytes(int index)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`int`
`getReservedNameCount()`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`List<String>`
`getReservedNameList()`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.ReservedRange`
`getReservedRange(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`int`
`getReservedRangeCount()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`List<DescriptorProtos.DescriptorProto.ReservedRange>`
`getReservedRangeList()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder`
`getReservedRangeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder>`
`getReservedRangeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getFieldList

List<DescriptorProtos.FieldDescriptorProto> getFieldList()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getField

DescriptorProtos.FieldDescriptorProto getField(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getFieldCount

int getFieldCount()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getFieldOrBuilderList

List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getFieldOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getFieldOrBuilder

DescriptorProtos.FieldDescriptorProtoOrBuilder getFieldOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getExtensionList

List<DescriptorProtos.FieldDescriptorProto> getExtensionList()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtension

DescriptorProtos.FieldDescriptorProto getExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtensionCount

int getExtensionCount()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtensionOrBuilderList

List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtensionOrBuilder

DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getNestedTypeList

List<DescriptorProtos.DescriptorProto> getNestedTypeList()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedType

DescriptorProtos.DescriptorProto getNestedType(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedTypeCount

int getNestedTypeCount()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedTypeOrBuilderList

List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getNestedTypeOrBuilderList()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedTypeOrBuilder

DescriptorProtos.DescriptorProtoOrBuilder getNestedTypeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getEnumTypeList

List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumType

DescriptorProtos.EnumDescriptorProto getEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumTypeCount

int getEnumTypeCount()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumTypeOrBuilderList

List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumTypeOrBuilder

DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getExtensionRangeList

List<DescriptorProtos.DescriptorProto.ExtensionRange> getExtensionRangeList()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRange

DescriptorProtos.DescriptorProto.ExtensionRange getExtensionRange(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRangeCount

int getExtensionRangeCount()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRangeOrBuilderList

List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder> getExtensionRangeOrBuilderList()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRangeOrBuilder

DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder getExtensionRangeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getOneofDeclList

List<DescriptorProtos.OneofDescriptorProto> getOneofDeclList()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDecl

DescriptorProtos.OneofDescriptorProto getOneofDecl(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDeclCount

int getOneofDeclCount()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDeclOrBuilderList

List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder> getOneofDeclOrBuilderList()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDeclOrBuilder

DescriptorProtos.OneofDescriptorProtoOrBuilder getOneofDeclOrBuilder(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### hasOptions

boolean hasOptions()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.MessageOptions getOptions()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.MessageOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### getReservedRangeList

List<DescriptorProtos.DescriptorProto.ReservedRange> getReservedRangeList()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRange

DescriptorProtos.DescriptorProto.ReservedRange getReservedRange(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRangeCount

int getReservedRangeCount()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRangeOrBuilderList

List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder> getReservedRangeOrBuilderList()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRangeOrBuilder

DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder getReservedRangeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedNameList

List<String> getReservedNameList()
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Returns:
  A list containing the reservedName.

### getReservedNameCount

int getReservedNameCount()
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Returns:
  The count of reservedName.

### getReservedName

String getReservedName(int index)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The reservedName at the given index.

### getReservedNameBytes

ByteString getReservedNameBytes(int index)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the reservedName at the given index.